libqt4-webkit 4:4.8.7 is missing from Mint 18.2

Questions about Grub, UEFI,the liveCD and the installer
Forum rules
Before you post please read how to get help
Post Reply
Jim Jensen
Level 1
Level 1
Posts: 8
Joined: Thu Mar 14, 2013 9:34 pm

libqt4-webkit 4:4.8.7 is missing from Mint 18.2

Post by Jim Jensen » Sat Feb 24, 2018 7:58 pm

What happened to this package? Apparently it has been removed from the Ubuntu Xenial repository. Where can I download libqt4-webkit 4:4.8.7 or a compatible version? PS: Since originally posting, I found libqtwebkit4 is installed, so now I need the development files (libqtwebkit4-dev). Any suggestions?

Additional information: I've attempted to upgrade to 18.2 from 17.1 several times over the past 2-3 months. Each time, libqt4-webkit was present in the repositories, since I was able to build several of my apps that depend on it. Each time I installed 18.2, I retreated to 17.1 due to 18.2's stability issues. Now, recently, someone has removed libqt4-webkit from the repositories. I found a note in Ubuntu Xenial's software download site to the effect that some genius over there had qt4webkit removed from Xenial. confused?? Please get it back.

User avatar
smurphos
Level 5
Level 5
Posts: 697
Joined: Fri Sep 05, 2014 12:18 am
Location: Britisher...

Re: libqt4-webkit 4:4.8.7 is missing from Mint 18.2

Post by smurphos » Sun Feb 25, 2018 12:44 am

I think you are probably looking for libqtwebkit-dev

It's in the xenial repos - https://packages.ubuntu.com/xenial/libqtwebkit-dev

Code: Select all

$ apt show libqtwebkit-dev
Package: libqtwebkit-dev
Version: 2.3.2-0ubuntu11
Priority: optional
Section: universe/libdevel
Source: qtwebkit-source
Origin: Ubuntu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 637 kB
Depends: libqt4-dev (>= 4:4.8.0), libqtwebkit4 (= 2.3.2-0ubuntu11)
Replaces: libqt4-dev (<= 4:4.7.0~beta1)
Homepage: http://trac.webkit.org/wiki/QtWebKit
Supported: 9m
Download-Size: 70.1 kB
APT-Sources: http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Post Reply

Return to “Installation & Boot”